Add points on created plane

I have created a plane and I want to add points that are constrained to that plane. Are there commands that will let me do this?

Hello - a couple of ways -

  1. Set a CPlane to the plane - CPlane > Object and then just add your points - they will be in plane but not constrained the borders of the planar surface.

  2. The OnSrf or PersistentOnSrf Osnaps - the latter with the Points (rather than Point) command will be much more useful for multiple points.

-Pascal

Sorry, I should have been more clear in my original post. I’d like to do this with the python script editor. Will the ViewCPlane command allow me to set the CPlane to my desired plane? If so, what is the proper syntax for this command?

Hello - you can use rhinoscriptsyntax rs.GetPointOnSurface() in a loop,

or with RhinoCommon,

Rhino.Input.Custom.GetPoint()

with constraints added, to a plane or a surface.

https://developer.rhino3d.com/api/RhinoCommon/html/Overload_Rhino_Input_Custom_GetPoint_Constrain.htm

-Pascal